import React from 'react';

import { Button } from '../components/Button';

export default {
    title: 'Design System/Button',
    component: Button
};

const Template = (args) => <Button {...args} />;

export const Primary = Template.bind({});
Primary.args = {
    children: 'Button',
    intent: 'primary'
};

export const Secondary = Template.bind({});
Secondary.args = {
    children: 'Button',
};

export const Minimal = Template.bind({});
Minimal.args = {
    children: 'Button',
    intent: 'minimal'
};

export const Active = Template.bind({});
Active.args = {
    children: 'Button',
    isActive: true
};

export const FullWidth = Template.bind({});
FullWidth.args = {
    children: 'Button',
    isFullWidth: true
};

export const Small = Template.bind({});
Small.args = {
    children: 'Button',
    size: 'small',
};

export const Succes = Template.bind({});
Succes.args = {
    children: 'Button',
    intent: 'succes'
};

export const Danger = Template.bind({});
Danger.args = {
    children: 'Button',
    intent: 'danger'
};

export const Warning = Template.bind({});
Warning.args = {
    children: 'Button',
    intent: 'warning'
};